<div class="appt-details-container">

  <div class="atp-details-list-container d-flex flex-wrap text-white">
    <span class="datastyle">Date</span>
    <div class="flex-fill" [class.appt-date]="hasPermission(APPT_BASIC, 'E')" (click)="editAppt()"><span class="text-white">:</span> {{apptDateStr}}</div>
    <!--Mon, 8 Feb 2021, 11:00 AM (60 mins)-->
  </div>
  <div class="atp-details-list-container d-flex flex-wrap text-white">
    <span class="datastyle">Status</span>
    <div class="flex-fill text-left">: {{data.statusValue}}</div>
  </div>
  <div class="atp-details-list-container d-flex flex-wrap text-white">
    <span class="datastyle">Practitioner</span>
    <div class="flex-fill text-left">: {{data.practitionerName}}</div>
  </div>
  <div class="atp-details-list-container d-flex flex-wrap text-white" *ngIf="data.appointmentType">
    <span class="datastyle">Type</span>
    <div class="flex-fill text-left">: {{data.appointmentType}}</div>
  </div>
  <div class="atp-details-list-container d-flex flex-wrap text-white">
    <span class="datastyle">Offerings</span>
    <div class="flex-fill" *ngIf="!hasOffering()">: Nil</div>
    <div class="flex-fill d-flex flex-column text-left" style="max-width: 220px;" *ngIf="hasOffering()">
      <div *ngFor="let offering of data.offerings; let i = index;">
        <span *ngIf="i == 0">: </span>
        <span>{{offering.code}}</span>
        -
        <span>{{offering.name}}</span>
        <span>(</span>
        <span>${{ (offering.treatementType == SERVICE ? offering.price * offering.duration : offering.price * offering.units) || 0}}, </span>
        <span *ngIf="offering.treatementType == SERVICE">{{offering.duration}} min</span>
        <span *ngIf="offering.treatementType == PRODUCT">{{offering.units}}</span>
        <span>)</span>
      </div>
    </div>
  </div>
  <div class="atp-details-list-container d-flex flex-wrap text-white">
    <span class="datastyle">Case</span>
    <div class="flex-fill text-left">: {{data.case}}</div>
  </div>
  <div class="atp-details-list-container d-flex flex-wrap text-white">
    <span class="datastyle">Payer</span>
    <div class="flex-fill text-left">:
      <span *ngIf="data.payer;else self">
        <span>{{data.payer.contactName}}</span>
        <span>({{data.payer.ordered}}/{{data.payer.count}}), </span>
        <span>{{data.payer.endDate  | timeFormat: 'DD/MM/YYYY':false:true}}</span>
      </span>
      <ng-template #self>
        <span>Self</span>
      </ng-template>
    </div>
  </div>
  <div class="atp-details-list-container d-flex flex-wrap text-white">
    <span class="datastyle">Referral</span>
    <div class="flex-fill text-left">:
      <span *ngIf="data.referral;else noRefferal">
        <span>{{data.referral.contactName}}</span>
        <span>({{data.referral.ordered}}/{{data.payer.count}}), </span>
        <span>{{data.referral.endDate  | timeFormat: 'DD/MM/YYYY':false:true}}</span>
      </span>
      <ng-template #noRefferal>
        <span>No Referral</span>
      </ng-template>
    </div>
  </div>
  <div class="atp-details-list-container d-flex flex-wrap text-white">
    <span class="datastyle">Total Fee</span>
    <div class="flex-fill text-left">: ${{data.totalFees || 0}}</div>
  </div>
  <div class="atp-details-list-container d-flex flex-wrap text-white" style="height: auto !important;"
       *ngIf="data.notes">
    <span class="datastyle">Appt. Notes</span>
    <div class="flex-fill text-left" style="max-width: 220px;">: {{data.notes}}
    </div>
  </div>
  <div class="atp-details-list-container d-flex flex-wrap text-white" style="height: auto !important;"
       *ngIf="data.isNeedAttention">
    <span class="datastyle">Need Attention</span>
    <div class="flex-fill text-left" style="max-width: 220px;">: {{data.statusReasonMessage}}
    </div>
  </div>

  <div class="alert alert-warning mt-2" *ngIf="data.reminderCommunication">
    <img src="./assets/img/msg.png" class="img" alt="msg">
    <label class="message">22 Feb 2021, 11:58 AM: SMS Reminder Sent</label>
  </div>

</div>
